Subject: Re: Limiting header block size

From: Martin Thomson <[email-masked]>
Date: Mon, 2 Jun 2014 15:51:11 -0700

On 23 May 2014 06:51, Martin Thomson <[email-masked]> wrote:
>> Why push it down into the framing layer?
>
> Only because I forgot about those...
>
> Let me try the PR again.  That's in part why I made it a PR rather
> than a direct edit :)  I think that the documentation of the problem
> is still OK, just the reporting/handling part.  I'll note that 431
> isn't an option for a client or intermediary that gets bombed by a
> server, but I guess the implication there is that the response is
> simply unusable in that case.

OK, I've respun the PR.  This pre-empts a lot of the discussion that
continues, so I won't merge it in anticipation of some sort of
alternative conclusion to that thread.